package com.autocareai.mvvmdemo.common.view

import androidx.annotation.LayoutRes
import androidx.annotation.Nullable
import com.autocareai.lib.widget.recyclerview.LibBaseAdapter

/**
 * <pre>
 *     author : louis wang
 *     time   : 2020/06/28
 *     desc   : RecyclerView适配器基类
 *     version: 1.0
 * </pre>
 */
open class BaseAdapter<T> : LibBaseAdapter<T> {

    constructor() : super(0, null)

    constructor(@LayoutRes layoutResId: Int) : super(layoutResId, null)

    constructor(@Nullable data: List<T>) : super(0, data)

    constructor(@LayoutRes layoutResId: Int, @Nullable data: List<T>) : super(layoutResId, data)
}